/rankings
Group and rank profiles by available facets.
GET /rankings
Get a list of current available ranking facets.
Code Examples
curl --request GET \
--url https://api.lightcast.io/ca-profiles/rankings \
--header 'Authorization: Bearer <ACCESS_TOKEN>'Response Examples
{
"data": [
"certifications",
"certifications_name",
"city",
"city_name",
"common_skills",
"common_skills_name",
"company",
"company_name",
"gender",
"gender_name",
"grad_year",
"laa_country",
"laa_country_name",
"laa_metro",
"laa_metro_name",
"laa_admin_area_1",
"laa_admin_area_1_name",
"laa_admin_area_2",
"laa_admin_area_2_name",
"lot_career_area",
"lot_career_area_name",
"lot_occupation",
"lot_occupation_group",
"lot_occupation_group_name",
"lot_occupation_name",
"lot_specialized_occupation",
"lot_specialized_occupation_name",
"naics2",
"naics2_name",
"naics3",
"naics3_name",
"naics4",
"naics4_name",
"naics5",
"naics5_name",
"naics6",
"naics6_name",
"noc1",
"noc1_name",
"noc2",
"noc2_name",
"noc3",
"noc3_name",
"noc4",
"noc4_name",
"noc5",
"noc5_name",
"schools",
"schools_ipeds",
"schools_name",
"skill_categories",
"skill_categories_name",
"skill_subcategories",
"skill_subcategories_name",
"skills",
"skills_name",
"software_skills",
"software_skills_name",
"specialized_skills",
"specialized_skills_name",
"title",
"title_name",
"cma",
"cma_name",
"cd",
"cd_name",
"csd",
"csd_name",
"pr",
"pr_name",
"province",
"province_name"
]
}POST /rankings/[rankingFacet]
POST /rankings/[rankingFacet]Path Parameters
| Name | Type | Description |
|---|---|---|
rankingFacet | enum | Example: Must be one of: |
Query Parameters
| Name | Type | Description |
|---|---|---|
title_version | enum | Specify Job Title taxonomy version to use. Default: |
company_version | enum | Specify company taxonomy version to use. Default: Must be one of: |
naics_version | enum | Specify NAICS taxonomy version to use. This parameter is optional. Default: naics_std_2017Must be one of: naics_std_2017, naics_std_2022 |
cip_version | enum | Specify CIP taxonomy version to use. Default: Must be one of: |
cip_standard_version | enum | Specify CIP standard taxonomy version to use. This parameter is optional. Default: |
new_taxonomy_versions | enum | Use new taxonomy versions. Must be one of: |
lot_version | enum | Specify LOT taxonomy version to use. Must be one of: |
Request Body
{
"filter": {
"last_updated": {
"start": "2018",
"end": "2024"
},
"skills_name": {
"include": [
"Training And Development"
]
}
},
"rank": {
"by": "profiles",
"limit": 5,
"extra_metrics": [
"unique_schools"
],
"min_profiles": 1
}
}Code Examples
curl --request POST \
--url https://api.lightcast.io/ca-profiles/rankings/{rankingFacet} \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{ "filter": { "last_updated": { "start": "2018", "end": "2024" }, "skills_name": { "include": [ "Training And Development" ] } }, "rank": { "by": "profiles", "limit": 5, "extra_metrics": [ "unique_schools" ], "min_profiles": 1 } }'Response Examples
{
"data": {
"ranking": {
"buckets": [
{
"name": "Unclassified",
"profiles": 12780,
"unique_schools": 2593
},
{
"name": "Teachers",
"profiles": 3240,
"unique_schools": 805
},
{
"name": "Human Resources Managers",
"profiles": 3198,
"unique_schools": 1036
},
{
"name": "Owners",
"profiles": 2964,
"unique_schools": 911
},
{
"name": "Presidents",
"profiles": 2865,
"unique_schools": 1299
}
],
"facet": "title_name",
"limit": 5,
"rank_by": "profiles"
},
"totals": {
"profiles": 253574,
"unique_schools": 11222
}
}
}// Your request wasn't valid (bad parameter names or values).
{
"errors": [
{
"status": 400,
"title": "Malformed Request",
"detail": "Expected array"
}
]
}// The facet you requested wasn't found.
{
"errors": [
{
"status": 404,
"title": "URL not found",
"detail": "Unrecognized facet 'foo'"
}
]
}POST /rankings/{rankingFacet}/rankings/{nestedRankingFacet}
Get a nested ranking (e.g. top companies, then top skills per company).
Path Parameters
| Name | Type | Description |
|---|---|---|
rankingFacet | enum | Example: Must be one of: |
nestedRankingFacet | enum | Example: Must be one of: |
Query Parameters
| Name | Type | Description |
|---|---|---|
title_version | enum | Specify Job Title taxonomy version to use. Default: Must be one of: |
company_version | enum | Specify company taxonomy version to use. Default: Must be one of: |
naics_version | enum | Specify NAICS taxonomy version to use. Default: Must be one of: |
cip_version | enum | Specify CIP taxonomy version to use. Default: Must be one of: |
cip_standard_version | enum | Specify CIP standard taxonomy version to use. Default: Must be one of: |
new_taxonomy_versions | enum | Use new taxonomy versions. Must be one of: |
lot_version | enum | Specify LOT taxonomy version to use. This parameter is optional. Default: 7 Must be one of: 7, 6 |
Request Body
{
"filter": {
"last_updated": {
"start": "2025-01",
"end": "2025-12"
}
},
"rank": {
"by": "profiles",
"limit": 5,
"extra_metrics": [
"unique_schools"
]
},
"nested_rank": {
"by": "significance",
"limit": 5
}
}Code Examples
curl --request POST \
--url https://api.lightcast.io/ca-profiles/rankings/{rankingFacet}/rankings/{nestedRankingFacet} \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{ "filter": { "last_updated": { "start": "2025-01", "end": "2025-12" } }, "rank": { "by": "profiles", "limit": 5, "extra_metrics": [ "unique_schools" ] }, "nested_rank": { "by": "significance", "limit": 5 } }'Response Examples
{
"data": {
"ranking": {
"buckets": [
{
"name": "Los Angeles, CA",
"ranking": {
"buckets": [
{
"name": "Event Planner",
"profiles": 1,
"significance": 7.8
},
{
"name": "Real Estate Agent",
"profiles": 1,
"significance": 7.8
},
{
"name": "Marketing Specialist (General)",
"profiles": 1,
"significance": 7.8
},
{
"name": "Department Manager",
"profiles": 1,
"significance": 3.8
},
{
"name": "Owner / Founder",
"profiles": 1,
"significance": 1.4
}
],
"facet": "lot_specialized_occupation_name",
"limit": 5,
"rank_by": "significance"
},
"significance": 0,
"unique_schools": 4
},
{
"name": "New York, NY",
"ranking": {
"buckets": [
{
"name": "Chemical Technician",
"profiles": 1,
"significance": 7.8
},
{
"name": "Data Manager",
"profiles": 1,
"significance": 7.8
},
{
"name": "English / Language Arts Teacher",
"profiles": 1,
"significance": 3.8
},
{
"name": "Executive Assistant",
"profiles": 1,
"significance": 2.5
},
{
"name": "Owner / Founder",
"profiles": 1,
"significance": 1.4
}
],
"facet": "lot_specialized_occupation_name",
"limit": 5,
"rank_by": "significance"
},
"significance": 0,
"unique_schools": 1
},
{
"name": "[Unknown City], ",
"ranking": {
"buckets": [
{
"name": ".NET Developer / Engineer",
"profiles": 1,
"significance": 12.2
},
{
"name": "Software Developer / Engineer",
"profiles": 1,
"significance": 6
},
{
"name": "Clinical Supervisor / Manager",
"profiles": 1,
"significance": 3.9
},
{
"name": "Project Manager (General)",
"profiles": 1,
"significance": 3.9
}
],
"facet": "lot_specialized_occupation_name",
"limit": 5,
"rank_by": "significance"
},
"significance": 0,
"unique_schools": 6
},
{
"name": "Kansas City, MO",
"ranking": {
"buckets": [
{
"name": "Systems Engineer",
"profiles": 1,
"significance": 49.2
},
{
"name": "Distribution Manager",
"profiles": 1,
"significance": 49.2
}
],
"facet": "lot_specialized_occupation_name",
"limit": 5,
"rank_by": "significance"
},
"significance": 0,
"unique_schools": 3
},
{
"name": "[Unknown City], NY",
"ranking": {
"buckets": [
{
"name": "Director of Sales",
"profiles": 1,
"significance": 49.2
},
{
"name": "Producer",
"profiles": 1,
"significance": 16.1
}
],
"facet": "lot_specialized_occupation_name",
"limit": 5,
"rank_by": "significance"
},
"significance": 0,
"unique_schools": 0
}
],
"facet": "city_name",
"limit": 5,
"rank_by": "significance"
},
"totals": {
"unique_schools": 79
}
}
}// Your request wasn't valid (bad parameter names or values).
{
"errors": [
{
"status": 400,
"title": "Malformed Request",
"detail": "Expected array"
}
]
}// The facet you requested wasn't found.
{
"errors": [
{
"status": 404,
"title": "URL not found",
"detail": "Unrecognized facet 'foo'"
}
]
}// Your request wasn't valid (bad keyword expression).
{
"errors": [
{
"status": 422,
"title": "Invalid request content",
"detail": "Invalid keyword search expression syntax:\n\t\"general merchandise\" OR \"apparel\" OR \"grocery\" OR\n\t ^"
}
]
}
